JadeFIPAAServiceAgent (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service.jade
Class JadeFIPAAServiceAgent

    java.lang.Object
      jade.core.Agent
          fr.inrialpes.exmo.align.service.jade.JadeFIPAAServiceAgent

All Implemented Interfaces:
  jade.core.TimerListener, Serializable, Runnable

    public class JadeFIPAAServiceAgent

extends jade.core.Agent

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class jade.core.Agent
`jade.core.Agent.Interrupted`

Field Summary
`private jade.content.lang.sl.SLCodec` | `codec`
`private jade.content.ContentManager` | `CTmanager`
`private Properties` | `initialParameters`
`private int` | `localId`
`private AServProtocolManager` | `manager`
`private String` | `myId`
`private jade.util.Logger` | `myLogger`
`private jade.content.onto.Ontology` | `ontology`
`private static long` | `serialVersionUID`
`private String` | `serverId`
`static String` | `SERVICE_NAME`
`static String` | `SERVICE_TYPE`

Fields inherited from class jade.core.Agent
`AP_ACTIVE, AP_DELETED, AP_IDLE, AP_INITIATED, AP_MAX, AP_MIN, AP_SUSPENDED, AP_WAITING, D_ACTIVE, D_MAX, D_MIN, D_RETIRED, D_SUSPENDED, D_UNKNOWN, MSG_QUEUE_CLASS`

Constructor Summary
`JadeFIPAAServiceAgent()`

Method Summary
`private Properties` | `decodeMessage(jade.content.ContentElement ce, Properties param)`
`private int` | `newId()`
`private void` | `registerWithDF()`
`protected void` | `setup()`
`protected void` | `takeDown()`

Methods inherited from class jade.core.Agent
`addBehaviour, afterClone, afterMove, beforeClone, beforeMove, blockingReceive, blockingReceive, blockingReceive, blockingReceive, changeStateTo, clean, createMessageQueue, doActivate, doClone, doDelete, doMove, doSuspend, doTimeOut, doWait, doWait, doWake, getAgentState, getAID, getAMS, getArguments, getBootProperties, getContainerController, getContentManager, getCurQueueSize, getDefaultDF, getHap, getHelper, getLocalName, getName, getO2AObject, getProperty, getQueueSize, getState, here, isRestarting, join, notifyChangeBehaviourState, notifyRestarted, postMessage, putBack, putO2AObject, receive, receive, removeBehaviour, removeTimer, restartLater, restore, restoreBufferedState, run, send, setArguments, setEnabledO2ACommunication, setGenerateBehaviourEvents, setO2AManager, setQueueSize, waitUntilStarted, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### SERVICE_TYPE

    public static final String SERVICE_TYPE

See Also:
  Constant Field Values

### myLogger

    private jade.util.Logger myLogger

### myId

    private String myId

### serverId

    private String serverId

### manager

    private AServProtocolManager manager

### localId

    private int localId

### initialParameters

    private Properties initialParameters

### CTmanager

    private jade.content.ContentManager CTmanager

### codec

    private jade.content.lang.sl.SLCodec codec

### ontology

    private jade.content.onto.Ontology ontology

Constructor Detail

### JadeFIPAAServiceAgent

    public JadeFIPAAServiceAgent()

Method Detail

### setup

    protected void setup()

  Overrides:
    `setup` in class `jade.core.Agent`

### takeDown

    protected void takeDown()

  Overrides:
    `takeDown` in class `jade.core.Agent`

### registerWithDF

    private void registerWithDF()

### newId

    private int newId()

### decodeMessage

    private Properties decodeMessage(jade.content.ContentElement ce,
                                     Properties param)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010